/*
 * EDG, a library to generate and slice Expression Dependence Graphs.
 * Copyright (c) 2021. David Insa, Sergio Pérez, Josep Silva, Salvador Tamarit.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package edg.structure;

import edg.LASTBuilder.Where;
import edg.LDASTNodeInfo;
import edg.graph.EDG;

public class Tuple extends Structure
{
	public Tuple(EDG edg)
	{
		super(edg);
	}

	public int construct(int parentId, Where where, LDASTNodeInfo info)
	{
		return 0;
	}

	public void generateControlEdges()
	{
		
	}

	public void generateControlFlowEdges()
	{
		
	}

	public void generateValueEdges()
	{
		
	}
}