%-----------------------------------------------------------------------------------------
%-----------------------------------------------------------------------------------------
%-- bench11.erl
%--
%-- AUTHORS: 	 Anonymous
%-- DATE:        2016           
%-- PUBLISHED:   Software specially developed to test non-called funtions.
%--
%-- COPYLEFT:    This Erlang version is distributed in "Bencher: The Program Slicing 
%--              Benchmark Suite for Erlang" (Universitat Politècnica de València). 
%--              It is free of use and publicly available in the URL: 
%--              http://www.dsic.upv.es/~jsilva/slicing/bencher/
%--
%-- DESCRIPTION
%-- This benchmark consists in a function that receives two lists as inputs and calls
%-- another one named fl with a conditional structure. There is also another function 
%-- gl that is not called by lists or fl.
%--
%-- SLICING CRITERION: (28,C)
%-- SLICE: Available at: 
%--   http://www.dsic.upv.es/~jsilva/slicing/bencher/slices/b11_s28C.erl
%-----------------------------------------------------------------------------------------
%-----------------------------------------------------------------------------------------
-module(bench11).
-export([lists/2]).

lists(A,B) -> 
	C=fl(A,B).		% Slice here
fl([H1|T1],[H2|T2]) -> 
	if	
		H1 >= 3 -> 
			H2;
		true -> 
			[H|_]=T2,
			H1-H  
	end.
gl([H|T]) -> 
	1.