%-----------------------------------------------------------------------------------------
%-----------------------------------------------------------------------------------------
%-- bench3.erl
%--
%-- AUTHORS: 	 Anonymous
%-- DATE:        2016           
%-- PUBLISHED:   Software specially developed to test unreachable clauses.
%--
%-- COPYLEFT:    This Erlang version is distributed in "Bencher: The Program Slicing 
%--              Benchmark Suite for Erlang" (Universitat Politècnica de València). 
%--              It is free of use and publicly available in the URL: 
%--              http://www.dsic.upv.es/~jsilva/slicing/bencher/
%--
%-- DESCRIPTION
%-- This benchmark contains a function that receives two tuples with two elements as 
%-- inputs and calls another one named ft with two condicional statements. Note that 
%-- the third clause of the second conditional statement is unreachable.
%--
%-- SLICING CRITERION: (28,C)
%-- SLICE: Available at: 
%--   http://www.dsic.upv.es/~jsilva/slicing/bencher/slices/b3_s28C.erl
%-----------------------------------------------------------------------------------------
%-----------------------------------------------------------------------------------------

-module(bench3).
-export([tuples/2]).
tuples(A,B) -> 
	C=ft(A,B). 		% Slice here
ft({X1,X2},{Y1,Y2}) ->
	if  
		X1 =< Y2 -> 
			R = X1;
		true -> 
			R = X2 
	end,
	if	
		X1 > X2 -> 
			Z= Y2 + 3,
			S = 5;
		true -> 
			S = X2;
		X2 < 7 -> 
			S=53
	end,
	S.