%-----------------------------------------------------------------------------------------
%-----------------------------------------------------------------------------------------
%-- bench7.erl
%--
%-- AUTHORS: 	 Anonymous
%-- DATE:        2016           
%-- PUBLISHED:   Software specially developed to test dead code detection.
%--
%-- COPYLEFT:    This Erlang version is distributed in "Bencher: The Program Slicing 
%--              Benchmark Suite for Erlang" (Universitat Politècnica de València). 
%--              It is free of use and publicly available in the URL: 
%--              http://www.dsic.upv.es/~jsilva/slicing/bencher/
%--
%-- DESCRIPTION
%-- This benchmark consists in a function that receives two numbers as inputs and calls
%-- another one with a conditional structure that contains a dead code statement.
%--
%-- SLICING CRITERION: (27,C)
%-- SLICE: Available at: 
%--   http://www.dsic.upv.es/~jsilva/slicing/bencher/slices/b7_s27C.erl
%-----------------------------------------------------------------------------------------
%-----------------------------------------------------------------------------------------
-module(bench7).
-export([numbers/2]).

numbers(A,B) -> 
	C=fn(A,B).		% Slice here
fn(X,Y) ->
	if	
		X>5 -> 
			Z=Y,
			X; 
		true -> 
			X+2
	end.